.cookie-banner {
  position: fixed;
  bottom: 0px;
  left: 0px;
  max-width: 650px;
  padding: 32px;
  font-size: 13px;
  z-index: 9999;
  border-top-right-radius: 3px;
  background-color: hsl(0deg, 0%, 100%, 100%);
  box-shadow: 0px 4px 10px rgb(63 63 68 / 40%);
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: hsl(0deg, 0%, 12%, 100%);
}

.cookie-content h2{
  margin: 0 0 .5em 0;
  font-size: 20px;
  font-weight: 700;
}

.cookie-content p{
  font-family: inherit;
  line-height: 1.3;
  font-size: 14px;
  font-weight: 400;
}

.cookie-content p a{
  color: hsl(0deg, 0%, 12%, 100%);
  text-decoration: underline;
  font-weight: 400;
  font-style: normal;
}

.cookie-actions {
  display: flex;
  justify-content: flex-end;
  width: 100%;
  flex-direction: row;
  gap: 20px;
  margin-top: 25px;
}

.cookie-actions button{
  flex-basis: 50%;
  border-radius: 2px;
  line-height: 120%;
  text-align: center;
  padding: 10px 15px;
}

.btn-primary {
  background: #4777cd;
  color: #fff;
  border: none;
  cursor: pointer;
}

.btn-outline {
  background: transparent;
  border: 1px solid #999;
  cursor: pointer;
  box-sizing: border-box;
}

/* overlay */
.cookie-overlay {
  z-index: 2000001;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
}

/* modal */
.cookie-modal {
  box-shadow: 0 5px 10px rgb(63 63 68 / 50%);
  position: fixed;
  z-index: 2000002;
  opacity: 1;
  background-color: hsl(0deg, 0%, 100%, 100%);
  max-height: 80%;
  overflow-y: auto;
  top: 50%;
  transform: translate(0, -50%);
  min-width: 280px;
  border-radius: 3px;
  display: flex;
  flex-direction: column;
  left: 25%;
  width: 50%;
  text-align: left;
  font-family: "Montserrat", sans-serif;
}
@media only screen and (max-width: 1199px) {
  .cookie-modal {
    width: 100%;
    left: 0;
  }
}

/* header */
.cookie-modal-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 32px 32px 20px 32px;
  border-bottom: 1px solid hsl(0deg, 0%, 88%, 100%);
  position: relative;
  background: transparent;
  position: relative;
  color: hsl(0deg, 0%, 12%, 100%);
}
@media only screen and (max-width: 767px) {
  .cookie-modal-header {
    flex-wrap: wrap;
  }
}

.cookie-header-actions {
  margin: 0;
  display: flex;
  justify-content: space-around;
  flex-direction: row;
  padding: 0 50px 0 0;
  width: auto;
}
@media only screen and (max-width: 767px) {
  .cookie-header-actions {
    flex-wrap: wrap;
    padding: 20px 0px 0 0;
  }
}
.cookie-modal-header h2 {
  font-size: 18px;
  margin: 0;
}

/* body */
.cookie-modal-body {
  padding: 20px 32px;
  font-size: 14px;
  line-height: 1.6;
  color: hsl(0deg, 0%, 12%, 100%);
}

.cookie-modal-body h3 {
  margin: 0 0 15px 0;
  font-size: 15px;
  font-weight: bold;
}

.cookie-modal-body ul {
  padding-left: 18px;
}

.cookie-modal-body h4 {
  padding-top: 20px;
  font-size: 15px;
  font-weight: bold;
}
/* cookie category */
.cookie-category {
  border-top: 1px solid #eee;
  padding: 12px 0;
}

.cookie-category label {
  display: flex;
  gap: 20px;
  color: hsl(0deg, 0%, 12%, 100%);
  cursor: pointer;
  font-family: inherit;
  margin: 0 0 5px 0;
  padding: 0;
  font-weight: 600;
  font-size: 110%;
  line-height: 1.2;
}

.cookie-category label input{
  position: absolute;
  clip: rect(1px, 1px, 1px, 1px);
  padding: 0;
  border: 0;
  height: 1px;
  width: 1px;
  overflow: hidden;
}

.cookie-category label input[aria-readonly="true"] ~ span svg{
  opacity: 0.2;
  cursor: not-allowed;
}

.cookie-category label span{
  order: -1;
  display: inline-block;
  background-color: hsl(0deg, 0%, 100%, 100%);
  width: 24px;
  height: 24px;
}

.cookie-category p {
  line-height: 1.3;
  font-size: 100%;
  color: hsl(0deg, 0%, 12%, 90%);
  margin: 0;
  padding: 0 0 0 45px;
}

/* buttons */
.cookie-header-actions button{
  text-decoration: none;
  font-family: inherit;
  padding: 8px 25px 10px 25px;
  margin: 0 20px 0 0;
  font-size: 110%;
  background: hsl(0deg, 0%, 100%, 100%);
  color: hsl(0deg, 0%, 12%, 100%);
  border: 1px solid hsl(0deg, 0%, 12%, 100%);
  white-space: nowrap;
  border-radius: 2px;
  line-height: 120%;
  height: unset;
}
@media only screen and (max-width: 767px) {
  .cookie-header-actions button{
    font-size: 100%;
    width: 100%;
    margin: 0;
  }
  .cookie-header-actions button + button{
    margin-top: 10px;
  }
}
.cookie-header-actions button:last-child{
  margin-right: 0;
}
.btn-close {
  position: absolute;
  top: 40px;
  right: 35px;
  width: 24px;
  height: 24px;
  padding: 0;
  margin: 0;
  background: transparent;
  border: none;
  outline: none;
  display: flex;
  justify-content: center;
  align-items: center;
  align-content: center;
  border-radius: 50%;
  min-width: 24px;
}
@media only screen and (max-width: 767px) {
  .btn-close {
    top: 30px;
  }
}

body.cookie-modal-open {
  overflow: hidden;
}

#cookie-save.is-active{
  background: hsl(0deg, 0%, 12%, 100%);
  color: hsl(0deg, 0%, 100%, 100%);
  border: 1px solid hsl(0deg, 0%, 100%, 100%);
}